diff --git a/meta/recipes-devtools/buildchroot/buildchroot.inc b/meta/recipes-devtools/buildchroot/buildchroot.inc
index 764bc5e..3ce3ddd 100644
--- a/meta/recipes-devtools/buildchroot/buildchroot.inc
+++ b/meta/recipes-devtools/buildchroot/buildchroot.inc
@@ -10,7 +10,8 @@ FILESPATH_prepend := "${THISDIR}/files:"
 SRC_URI = "file://configscript.sh \
            file://build.sh \
            file://common.sh \
-           file://deps.sh"
+           file://deps.sh \
+           file://99fixbadproxy"
 PV = "1.0"
 
 inherit isar-bootstrap-helper
@@ -34,6 +35,9 @@ do_build() {
     sudo install -m 755 ${WORKDIR}/common.sh ${BUILDCHROOT_DIR}/isar/
     sudo install -m 755 ${WORKDIR}/deps.sh ${BUILDCHROOT_DIR}/isar/
 
+    # Add bad proxy mesure
+    sudo install -m 644 ${WORKDIR}/99fixbadproxy ${BUILDCHROOT_DIR}/etc/apt/apt.conf.d/
+
     # Configure root filesystem
     sudo install -m 755 ${WORKDIR}/configscript.sh ${BUILDCHROOT_DIR}
     USER_ID=$(id -u)
